[openwrt/openwrt] hostapd: add default values for r0kh/r1kh

LEDE Commits lede-commits at lists.infradead.org
Tue Nov 23 09:44:43 PST 2021


nbd pushed a commit to openwrt/openwrt.git, branch openwrt-21.02:
https://git.openwrt.org/21eb0a5aa37f6711f3d0440be660f459d5a7fde6

commit 21eb0a5aa37f6711f3d0440be660f459d5a7fde6
Author: Felix Fietkau <nbd at nbd.name>
AuthorDate: Thu May 27 13:15:40 2021 +0200

    hostapd: add default values for r0kh/r1kh
    
    This allows WPA enterprise roaming in the same mobility domain without any
    manual key configuration (aside from radius credentials)
    
    Signed-off-by: Felix Fietkau <nbd at nbd.name>
    (cherry-picked from commit 704ab6a002172e76d41612f6d07ff179ef035d10)
---
 package/network/services/hostapd/files/hostapd.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/package/network/services/hostapd/files/hostapd.sh b/package/network/services/hostapd/files/hostapd.sh
index 6a830dfad1..24fc7c3cca 100644
--- a/package/network/services/hostapd/files/hostapd.sh
+++ b/package/network/services/hostapd/files/hostapd.sh
@@ -815,6 +815,13 @@ hostapd_set_bss_options() {
 				set_default r0_key_lifetime 10000
 				set_default pmk_r1_push 0
 
+				[ -n "$r0kh" -a -n "$r1kh" ] || {
+					key=`echo -n "$mobility_domain/$auth_secret" | md5sum | awk '{print $1}'`
+
+					set_default r0kh "ff:ff:ff:ff:ff:ff,*,$key"
+					set_default r1kh "00:00:00:00:00:00,00:00:00:00:00:00,$key"
+				}
+
 				[ -n "$r1_key_holder" ] && append bss_conf "r1_key_holder=$r1_key_holder" "$N"
 				append bss_conf "r0_key_lifetime=$r0_key_lifetime" "$N"
 				append bss_conf "pmk_r1_push=$pmk_r1_push" "$N"



More information about the lede-commits mailing list